<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DBWorkTeilnehmer2Test extends \PHPUnit\Framework\TestCase
{
  /**
   * @var DBWorkTeilnehmer2
   */
  protected $object;

  /**
   * Sets up the fixture, for example, opens a network connection.
   * This method is called before a test is executed.
   */
  protected function setUp(): void
  {
    $this->object = new DBWorkTeilnehmer2();
    $this->object->newSearch();
  }

  /**
   * Tears down the fixture, for example, closes a network connection.
   * This method is called after a test is executed.
   */
  protected function tearDown(): void
  {
  }

  private function getDefaultTn2()
  {
    $result = new Teilnehmer();
    $result->dse_unterschrieben_bearbeiter = 'DE';
    $result->dse_unterschrieben_datum = '22.03.2018 00:00';
    $result->dse_unterschrieben_weg = 'I';
    $result->dse_widerrufen_bearbeiter = 'MM';
    $result->dse_widerrufen_datum = '23.12.2099 23:59';
    $result->dse_widerrufen_weg = 'T';

    return $result;
  }

  /**
   * @covers DBWorkTeilnehmer2::updateTeilnehm2()
   * @test
   */
  public function updateTeilnehm2_no_entry_in_teilnehm2()
  {
    $tnr = 99999;
    $tn = $this->getDefaultTn2();
    $tn->id = $tnr;

    $this->expectException(InvalidArgumentException::class);
    $this->object->updateTeilnehm2($tn);
  }
}
